// General-purpose Photovoltaic Device Model gpvdm.com - a drift diffusion
// base/Shockley-Read-Hall model for 1st, 2nd and 3rd generation solarcells.
// The model can simulate OLEDs, Perovskite cells, and OFETs.
// 
// Copyright (C) 2008-2020 Roderick C. I. MacKenzie
// All rights reserved.
// 
// https://www.gpvdm.com
// r.c.i.mackenzie at googlemail.com
// 
// 
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are met:
//     * Redistributions of source code must retain the above copyright
//       notice, this list of conditions and the following disclaimer.
//     * Redistributions in binary form must reproduce the above copyright
//       notice, this list of conditions and the following disclaimer in the
//       documentation and/or other materials provided with the distribution.
//     * Neither the name of the GPVDM nor the
//       names of its contributors may be used to endorse or promote products
//       derived from this software without specific prior written permission.
// 
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
// ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
// WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
// DISCLAIMED. IN NO EVENT SHALL Roderick C. I. MacKenzie BE LIABLE FOR ANY
// DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
// (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
// LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
// ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
// (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
// SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.


#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "sim.h"
#include <math.h>

double read_value(char *file,int skip,int line)
{
FILE *in;
char buf[1000];
double value;
in=fopen(file,"r");
int l=0;

do
{
l++;
	fscanf(in,"%s",buf);

	if (l==line)
	{
		sscanf((buf+skip),"%le\n",&value);
		break;
	}


}while (!feof(in));

fclose(in);


return value;
}

void edit_file_int(char *in_name,char *front,int line,int value)
{
FILE *in;
FILE *out;
char buf[400];
in=fopen(in_name,"r");
out=fopen("temp.tmp","w");
int l=0;

do
{
l++;
	fscanf(in,"%s",buf);
	if ((!feof(in)))
	{
		if (l!=line)
		{
			fprintf(out,"%s\n",buf);
		}else
		{
			fprintf(out,"%s%d\n",front,value);
		}
	}
}while (!feof(in));

fclose(in);
fclose(out);
char command[1000];
sprintf(command,"mv temp.tmp %s",in_name);
system(command);
}

void edit_file(char *in_name,char *front,int line,double value)
{
FILE *in;
FILE *out;
char buf[400];
in=fopen(in_name,"r");
out=fopen("temp.tmp","w");
int l=0;

do
{
l++;
	fscanf(in,"%s",buf);
	if ((!feof(in)))
	{
		if (l!=line)
		{
			fprintf(out,"%s\n",buf);
		}else
		{
			fprintf(out,"%s%le\n",front,value);
		}
	}
}while (!feof(in));

fclose(in);
fclose(out);
char command[1000];
sprintf(command,"mv temp.tmp %s",in_name);
system(command);
}

void copy_file(char *out_name, char *in_name,char *front,int line,double value)
{
FILE *in;
FILE *out;
char buf[400];
in=fopen(in_name,"r");
out=fopen(out_name,"w");
int l=0;

do
{
l++;
	fscanf(in,"%s",buf);
	if ((!feof(in)))
	{
		if (l!=line)
		{
			fprintf(out,"%s\n",buf);
		}else
		{
			fprintf(out,"%s%le\n",front,value);
		}
	}
}while (!feof(in));

fclose(in);
fclose(out);
}
