set term postscript color enh solid "Helvetica" 8
set multiplot
set size 0.5,0.5
set origin 0,0
set logscale y
set xrange [0.0:1.0]
plot './exp/jv/jv.dat' using ($1):(($2*$2)**0.5) title 'exp',\
'./sim/jv/ivexternal.dat' using ($1):(($2*$2)**0.5) title 'sim',\
'./exp/jvlight/jv.dat' using ($1):($2) title 'exp' axis x1y2,\
'./sim/jvlight/ivexternal.dat' using ($1):($2) title 'sim' axis x1y2

unset logscale y

set logscale y
set origin 0,0.5
set xrange [0.0:1.0]
plot './exp/cedata.dat' using ($1):(($2*$2)**0.5) title 'exp',\
'./sim/jv/charge.dat' using ($1):(($2*$2)**0.5) title 'sim' with l,\
'./exp/celight.dat' using ($1):(($2*$2)**0.5) title 'exp light',\
'./sim/jvlight/charge.dat' using ($1):(($2*$2)**0.5) title 'sim light' with l
unset logscale y

set autoscale x
set autoscale y
set size 0.25,0.5
set origin 0.5,0.0
plot 'tpc_error0.dat' using ($1):($3) with l title 'e' lw 5,\
'tpc_error0.dat' using ($1):($4) with l title 's' lw 5,\
'tpc_error1.dat' using ($1):($3) with l title 'e' lw 5,\
'tpc_error1.dat' using ($1):($4) with l title 's' lw 5

set origin 0.75,0.0
plot 'tpc_error2.dat' using ($1):($3) with l title 'e' lw 5,\
'tpc_error2.dat' using ($1):($4) with l title 's' lw 5,\
'tpc_error3.dat' using ($1):($3) with l title 'e' lw 5,\
'tpc_error3.dat' using ($1):($4) with l title 's' lw 5


set size 0.5,0.5
set key bottom left
set origin 0.5,0.5
set xrange [0.0:1.0]
set logscale y
set autoscale x
plot './exp/tpv_fit/tpv_fit_voc.dat',\
'./sim/tpv_fit/tpv_fit_voc.dat' using ($1):($3)

#plot './srhbandn.inp' using (($1*$1)**0.5) with l lw 5,\
#'./srhbandp.inp' using (($1*$1)**0.5) with l lw 5
unset logscale y
#plot './ce_error.dat' using ($1):(($2*$2)**0.5) with l title 'ce error',\
#'./ce_light_error.dat' using ($1):(($2*$2)**0.5) with l title 'ce light error',\
#'./iv_error_dark.dat' using ($1):(($2*$2)**0.5) with l title 'jv ss error',\
#'ivlight_error.dat' using ($1):($2) title 'jv light',\
#'./tpc_error0.dat' using ($1):($2) title 'tpc0' axis x2y1,\
#'./tpc_error1.dat' using ($1):($2) title 'tpc1' axis x2y1
#,\
#'./tpc_error2.dat' using ($1):($2) title 'tpc2' axis x2y1

set key top right

